Name:           aterm
Version:        1.0.0
Release:        3%{?dist}

Summary:        Afterstep XVT, VT102 emulator for the X Window system
Group:          User Interface/X
License:        GPL
URL:            http://aterm.sourceforge.net
Source0:        ftp://ftp.afterstep.org/apps/aterm/aterm-1.0.0.tar.bz2
Source1:        aterm.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  xorg-x11-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libAfterImage-devel

%description
aterm,  version  1.00 is  a colour vt102 terminal emulator, based on
rxvt 2.4.8  with  Alfredo  Kojima´s  additions  of  fast  transparency,
intended  as  an xterm(1) replacement for users who do not require fea-
tures such as Tektronix 4014 emulation and toolkit-style  configurabil-
ity.   As  a  result,  aterm uses much less swap space -- a significant
advantage on a machine serving many X sessions.

%prep
%setup -q


%build
%configure --enable-fading --enable-background-image \
--enable-next-scroll --enable-utmp --enable-wtmp \
--enable-menubar --enable-graphics -enable-kanji \
--enable-big5 --enable-greek --enable-ttygid \
--enable-xgetdefault --with-term=rxvt --with-x

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall mandir=$RPM_BUILD_ROOT/%{_mandir}/man1 \
INSTALL_PROGRAM="/usr/bin/install -c -m 755"

desktop-file-install \
  --vendor=fedora \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-Fedora \
  %{SOURCE1}



%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog ChangeLog.0.4
%doc doc/README.* doc/FAQ doc/ChangeLog.rxvt doc/menu/*
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*


%changelog
* Sun Jun 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.0.0-3
- fix #192433

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.0.0-2
- fix #177302 (term should really be rxvt with new termcap)

* Tue Aug 16 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.0.0-1
- upgrade to stable
- add libAfterImage support
- add dist tag

* Thu Jun 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.00-0.1.beta4
- upgrade

* Fri Jun 03 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.00-0.1.beta3
- upgrade

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Jun 22 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de> 0:0.4.2-0.fdr.5
- changed Source0
- changed configure options ( both noticed by Adrian Reber )
* Sun Jun 22 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de> 0:0.4.2-0.fdr.4
- removed Merged from aterm.desktop see bug #391 for details
* Sat Jun 21 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de> 0:0.4.2-0.fdr.3
- added more documentation ( inspired by rxvt change noticed by Adrian Reber )
* Sat Jun 21 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de> 0:0.4.2-0.fdr.2
- switched back to makeinstall
- added menu entry
- removed -n from setup
* Fri Jun 20 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de>
- Initial RPM release.
